Bug Hunting Session
Bug 101673 - FILESAVE to directory owned by root gives wrong error message
Summary: FILESAVE to directory owned by root gives wrong error message
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Error-Messages
  Show dependency treegraph
 
Reported: 2016-08-22 20:42 UTC by bugcatcher1
Modified: 2018-12-18 08:01 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
file does not exist bogus error message (15.86 KB, image/png)
2016-08-22 20:42 UTC, bugcatcher1
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bugcatcher1 2016-08-22 20:42:40 UTC
Created attachment 126976 [details]
file does not exist bogus error message

This bug is similar – BUT NOT THE SAME – as Bug 40244.

I had just deleted everything from an old drive partition as part of a clean up project. Wanted to put a file in that partition as a message that clean up had been done. 

Attempted to write that file [1] to hard drive formatted with ext4. 
Got error message [2]. 
Discovered that the directory was  owned by “root”. Of course, the file was being edited by “user”. 

Error Message [2] is therefore bogus. Should read like [3], [4] or [5].


This is LibreOffice as packaged with Mint Linux 18. 
It reports itself as:
Version: 5.1.4.2
Build ID: 1:5.1.4-0ubuntu1
CPU Threads: 4; OS Version: Linux 4.4; UI Render: default; 
Locale: en-US (en_US.UTF-8)


[1] ‘Was Old Boot Drive – 100Gb Drive - IGNORE ME.odt’
[2] "Error saving the document <document name>: <path>/<document name> does not exist".
[3] "Error saving the document ….. User cannot write to directory owned by root"
[4] "Error saving the document ….. you are not directory owner"
[5] "Error saving the document ….. "insufficient permissions"

See attached picture.
Comment 1 Thomas Hackert 2016-08-28 07:54:47 UTC
Hello bugcatcher, *,
thank you for reporting this bug :) I can confirm it with

OS: Debian Testing AMD64
LO: Version: 5.2.0.4
Build-ID: 1:5.2.0-2
CPU-Threads: 4; BS-Version: Linux 4.5; UI-Render: GL; 
Gebietsschema: de-DE (de_DE.UTF-8)
(Debian's own version)

but also back to

OOo: OpenOffice.org 3.2.0
OOO320m12 (Build:9483
(parallel installed, following the instructions from https://wiki.documentfoundation.org/Installing_in_parallel/Linux)

so I am setting status to "New" and version to "Inherited from OOo", as this bug is also reproducible with the above mentioned OOo version. I would prefer to see your suggestion no.5 as an error message ... ;)
HTH
Thomas.
Comment 2 QA Administrators 2017-09-01 11:16:27 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.4.1 or 5.3.6  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170901